
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>C++例题练习(2) / 憋错料</title>

    <meta name="description" content="C++例题练习(2) 环境:Dev-C++( Version:5.6.1) 1.循环输入一个1-1000的整数,判断是否为素数(输入1时程序结束) 素数:只能被1和自身整除. 实现代码: #include &lt;iostream&gt; #include &lt;cstdlib&gt; #include &lt;cassert&gt; using namespace std; /* *function name:isPrimeNumber. *precondition:parameter value is more ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">C++例题练习(2)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>环境：Dev-C++( Version:5.6.1)</p>
<p>1.循环输入一个1-1000的整数，判断是否为素数(输入1时程序结束)</p>
<p>　　素数：只能被1和自身整除.</p>
<p>　　实现代码：</p>
<pre>#include &lt;iostream&gt;
#include &lt;cstdlib&gt;
#include &lt;cassert&gt;
using namespace std;
/*
 *function name:isPrimeNumber.
 *precondition:parameter value is more than zero and less than or equal one thousand.
 *postcondition:return true when parameter value is prime number.
*/
bool isPrimeNumber(const int &amp;number);

int main()
{
    while(true)
    {
        int number;
        cout&lt;&lt;"please input a integer number(0-1000):"&lt;&lt;endl;
        cin&gt;&gt;number;
        //condition
        assert(number&gt;0&amp;&amp;number&lt;=1000);
        if(number == 1) {
            break;
        }

        bool flag;
        flag = isPrimeNumber(number);
        if(flag) {
            cout&lt;&lt;"yes, the number is prime number."&lt;&lt;endl;
        } else {
            cout&lt;&lt;"no, the number is not prime number."&lt;&lt;endl;
        }
    }
    return EXIT_SUCCESS;
}
bool isPrimeNumber(const int &amp;number)
{
    for(int i=2;i&lt;number/2+1;i++) {
        if(number%i == 0) {
            return false;
        }
    }
    return true;
} </pre>
<p>2.用类来实现输入和输出时间（时：分：秒）</p>
<p>要求：将数据成员改为私有；将输入和输出的功能有成员函数实现；在类体内定义成员函数</p>
<p>代码实现：</p>
<p>（对于时间输入的合理性，简单的采用断言assert函数来进行处理，不合理，程序直接结束运行）</p>
<pre>#include &lt;iostream&gt;
#include &lt;cstdlib&gt;
#include &lt;cassert&gt;
using namespace std;
class Time
{
    public:
        void set_time(Time &amp;time)
        {
            cout&lt;&lt;"hour(0-23):"&lt;&lt;endl;
            cin&gt;&gt;time.hour;
            assert(time.hour&gt;0&amp;&amp;time.hour&lt;24);

            cout&lt;&lt;"minute(0-59):"&lt;&lt;endl;
            cin&gt;&gt;time.minute;
            assert(time.minute&gt;0&amp;&amp;time.minute&lt;60);

            cout&lt;&lt;"second(0-59):"&lt;&lt;endl;
            cin&gt;&gt;time.sec;
            assert(time.sec&gt;0&amp;&amp;time.sec&lt;60);
        }
        void show_time(const Time &amp;time)
        {
            cout&lt;&lt;time.hour&lt;&lt;":"&lt;&lt;time.minute&lt;&lt;":"&lt;&lt;time.sec&lt;&lt;endl;
        }
    private:
        int hour;
        int minute;
        int sec;
};
int main()
{
    Time t;
    t.set_time(t);
    t.show_time(t);
    return EXIT_SUCCESS;
}</pre>
<p>3.在上题的基础上进行修改：在类体内声明成员函数，而在类外定义成员函数</p>
<p>　　代码实现：</p>
<pre> 1 #include &lt;iostream&gt;
 2 #include &lt;cstdlib&gt;
 3 #include &lt;cassert&gt;
 4 using namespace std;
 5 class Time
 6 {
 7     public:
 8         void set_time(Time &amp;time);
 9         void show_time(const Time &amp;time);
10     private:
11         int hour;
12         int minute;
13         int sec;
14 };
15 void Time::set_time(Time &amp;time)
16 {
17     cout&lt;&lt;"hour(0-23):"&lt;&lt;endl;
18     cin&gt;&gt;time.hour;
19     assert(time.hour&gt;0&amp;&amp;time.hour&lt;24);
20
21     cout&lt;&lt;"minute(0-59):"&lt;&lt;endl;
22     cin&gt;&gt;time.minute;
23     assert(time.minute&gt;0&amp;&amp;time.minute&lt;60);
24
25     cout&lt;&lt;"second(0-59):"&lt;&lt;endl;
26     cin&gt;&gt;time.sec;
27     assert(time.sec&gt;0&amp;&amp;time.sec&lt;60);
28 }
29 void Time::show_time(const Time &amp;time)
30 {
31      cout&lt;&lt;time.hour&lt;&lt;":"&lt;&lt;time.minute&lt;&lt;":"&lt;&lt;time.sec&lt;&lt;endl;
32 }
33 int main()
34 {
35     Time t;
36     t.set_time(t);
37     t.show_time(t);
38     return EXIT_SUCCESS;
39 }</pre>
<p>4.求三个长方柱的体积</p>
<p>　　实现代码：</p>
<pre> 1 #include &lt;iostream&gt;
 2 #include &lt;cstdlib&gt;
 3 #include &lt;cassert&gt;
 4 using namespace std;
 5 class Box
 6 {
 7     public:
 8         Box(int l,int w,int h);
 9         double volume()
10         {
11             return length*width*height;
12         }
13     private:
14         double length;
15         double width;
16         double height;
17 };
18 /*
19  *precondition:parameters must be number.
20  *postcondition:null
21 */
22 Box::Box(int l,int w,int h)
23 {
24     length = l;
25     width = w;
26     height = h;
27 }
28 int main()
29 {
30     cout&lt;&lt;"please enter the length, width and height of a rectangle:"&lt;&lt;endl;
31     int l,w,h;
32     cin&gt;&gt;l&gt;&gt;w&gt;&gt;h;
33     assert(l&gt;0&amp;&amp;w&gt;0&amp;&amp;h&gt;0);
34
35     Box box(l,w,h);
36     cout&lt;&lt;"box volume:"&lt;&lt;box.volume()&lt;&lt;endl;
37     return EXIT_SUCCESS;
38 }</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 14:57:17 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>C++例题练习(2)的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/r4JdoD0.html" rel="bookmark">acm常见算法及例题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转自:http://blog.csdn.net/hengjie2009/article/details/7540135 acm常见算法及例题 初期:一.基本算法:     (1)枚举. (poj1753,poj2965)     (2)贪心(poj1328,poj2109,poj2586)     (3)递归和分治法.     (4)递推.     (5)构造法.(poj3295)     (6)模拟法.(poj1068,poj2632,poj1573,poj2993,poj2996)二.图算法			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/g41GkO0.html" rel="bookmark">黑书例题 Fight Club 区间DP</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目可以在bnuoj.soj等OJ上找到. 题意: 不超过40个人站成一圈,只能和两边的人对战.给出任意两人对战的输赢,对于每一个人,输出是否可能是最后的胜者. 分析: 首先序列扩展成2倍,破环成链. dp[i][j]表示i和j能够相遇对打,那么dp[i][i+n]为真代表可以成为最后胜者. 枚举中间的k,若i和j都能和k相遇,且i和j至少一人能打赢k,那么i和j可以相遇. 复杂度o(n^3) 1 #include&lt;cstdio&gt; 2 #include&lt;cstring&gt; 3 usi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/BMzDEW3.html" rel="bookmark">linux脚本进阶例题解析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				例题一:编写脚本/root/bin/createuser.sh,实现如下功能: 使用一个用户名做为参数,如果指定参数的用户存在,就显示其存在,否则添加之:并生成8位随机口令并存在一个文件中,初步提示改口令,显示添加的用户的id号等信息 #!/bin/bash # ------------------------------------------ # Filename: useradd.sh  # Revision: null # Date: 2017-09-11 21:47:22 # Auth			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/D3OzX70.html" rel="bookmark">JAVA基础汇总及例题详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				java语言的一个核心: jdk, java development kits---面向开发人员 jre, java Runtime Environment---服务器上 java虚拟机---(以字节码为指令的CPU)---*.class java编译器--&gt;字节码--&gt;类加载器进行验证--&gt;虚拟机运行 垃圾回收机制 public class ...{ int a = 1; } c/c++垃圾回收由程序员去运行 java编程语言(一门纯面向对象)的特点: 1, 面向对象  封装  继承			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/P47kDD4.html" rel="bookmark">【强连通分量】tarjan算法及kosaraju算法＋例题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				阅读前请确保自己知道强连通分量是什么,本文不做赘述. Tarjan算法 一.算法简介 Tarjan算法是一种由Robert Tarjan提出的求有向图强连通分量的时间复杂度为O(n)的算法. 首先我们要知道两个概念:时间戳(DFN),节点能追溯到的最早的栈中节点的时间戳(LOW).顾名思义,DFN就是在搜索中某一节点被遍历到的次序号(dfs_num),LOW就是某一节点在栈中能追溯到的最早的父亲节点的搜索次序号. Tarjan算法是基于深度优先搜索的算法.在搜索过程中把没有Tarjan过的点入栈			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/kML6zy3.html" rel="bookmark">第10章例题（紫书）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				21/21 题目都很基础,有很多题书上讲得比较详细,然后隔得时间有点久,所以具体什么trick都忘了,思路也懒得去回忆,所以将就着放上来了.... 例题10–1 Uva 11582 题意:输入a, b, n让你计算F[a^b]%n;其中这个F[i]是斐波那契数: 题解: 这题是快速幂+找循环节,用什么方法找循环节呢?因为第一个数是0和1,然后当再出现0和1的时候就是出现循环节的时候,然后假如找到了循环节T,然后就有F[n] = F[n % T],预处理找循环节,O(一百万左右),快速幂logn			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MmGGY13.html" rel="bookmark">数组模拟单向链表例题（UVa11988）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				指针的链表实现方式是,当前节点的next指向下一个节点,用数组模拟就是 for(int i=next[0];i!=0;i=next[i]) i=next[i]:就是一条链. 例题: 你有一个破损的键盘.键盘上的所有键都可以正常工作,但有时Home键或者End键会自动按下.你并不知道键盘存在这一问题,而是专心打稿子,甚至连显示器都没打开.当你打开显示器时之后,展现在你面前的是一段悲剧文本.你的任务时在打开显示器之前计算出这段悲剧文本. 输入包含多组数据.每组数据占一行,包含不超过100000个字母			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4APeBD3.html" rel="bookmark">例题9-14 完美的服务 UVa1218</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.题目描述:点击打开链接 2.解题思路:本题的分析思路类似于上一道例题.还是利用树状dp解决.根据题意,可以定义如下的三种状态值: (1)d(u,0)表示u不是服务器,但u的父亲是服务器(暗含u的所有子结点都不是服务器):(2)d(u,1)表示u是服务器,子结点可以是也可以不是:(3)d(u,2)表示u,u的父亲都不是服务器(暗含u的其中一个子结点是服务器): 定义了这样的三个状态之后,状态转移方程便不难得出: (1) d(u,0)=sum{d(v,2)}(v是u的子结点); (2) d(u,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MDRaqp3.html" rel="bookmark">&lbrack;入门向选讲&rsqb; 插头DP：从零概念到入门 （例题：HDU1693 COGS1283 BZOJ2310 BZOJ2331）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转载请注明原文地址:http://www.cnblogs.com/LadyLex/p/7326874.html 最近搞了一下插头DP的基础知识……这真的是一种很锻炼人的题型…… 每一道题的状态都不一样,并且有不少的分类讨论,让插头DP十分锻炼思维的全面性和严谨性. 下面我们一起来学习插头DP的内容吧! 插头DP主要用来处理一系列基于连通性状态压缩的动态规划问题,处理的具体问题有很多种,并且一般数据规模较小. 由于棋盘有很特殊的结构,使得它可以与“连通性”有很强的联系,因此插头DP最常见的应用要数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MoQ79l3.html" rel="bookmark">&lbrack;提升性选讲&rsqb; 树形DP进阶&colon;一类非线性的树形DP问题&lpar;例题 BZOJ4403 BZOJ3167&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转载请注明原文地址:http://www.cnblogs.com/LadyLex/p/7337179.html 树形DP是一种在树上进行的DP相对比较难的DP题型.由于状态的定义多种多样,因此解法也五花八门,经常成为高水平考试的考点之一. 在树形DP的问题中,有这样一类问题:其数据范围相对较小,并且状态转移一般与两两节点之间的某些关系有关. 今天,我们就来研究一下这类型的问题,并且总结一种(相对套路的)解决大多数类型题的思路. 首先,我们用一道相对简单的例题来初步了解这个类型题的大致思路,以及一			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/P47XARM.html" rel="bookmark" class="title">Windows Server 笔记（六）：Active Directory域服务：额外域控制器</a>
					<div>
						额外域控制器: 额外域控制器是指除了第一台安装的域控制器(主域控制器)意外的所有域控制器: 那么额外域控制器有什么好处呢? 1.可以提供容错.即一台DC出问题后,另一台仍可以可以继续工作,提供服务:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWy7Py3.html" rel="bookmark" class="title">购物车星星评分</a>
					<div>
						1 &lt;!DOCTYPE html&gt; 2 &lt;html&gt; 3 &lt;head lang=&quot;en&quot;&gt; 4 &lt;meta charset=&quot;U ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoYoaw3.html" rel="bookmark" class="title">logstash grok 分析 nginx  access 日志</a>
					<div>
						为了便于量化分析nginx access日志,使用logstash 进行筛选匹配 1.确定nginx 日志格式     log_format access '$remote_addr - $remot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVY9Z24.html" rel="bookmark" class="title">Solr4&period;8&period;0源码分析&lpar;7&rpar;之Solr SPI</a>
					<div>
						Solr4.8.0源码分析(7)之Solr SPI 查看Solr源码时候会发现,每一个package都会由对应的resources. 如下图所示: 一时对这玩意好奇了,看了文档以后才发现,这个serv ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyKXxj3.html" rel="bookmark" class="title">20160310第一题</a>
					<div>
						题目:自动生成四则运算 主要功能:实现四则运算 设计思想:随机出现加减乘除四则运算,回答后,系统自动判断对错,按回车显示下一题,按0退出. 源代码: #include &lt;stdio.h&gt;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/352yV24.html" rel="bookmark" class="title">Tornado 的教材</a>
					<div>
						作者:杨昆链接:https://www.zhihu.com/question/19707966/answer/12731684来源:知乎著作权归作者所有,转载请联系作者获得授权. 首先必看的是官网的文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pParK4.html" rel="bookmark" class="title">迂咀特撂谂ibj0326f775f72</a>
					<div>
						萧萧也同样是大吃一惊,虽然她也听霍雨浩讲了第二武魂觉醒的离奇故事,但在她的印象中霍雨浩还是那个控制系战魂师,却没想到他的力量竟然如此强悍.所有通过了考核的新生全部在史莱克广场集合,等待着即将到来的分班 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YD5gJM.html" rel="bookmark" class="title">C&plus;&plus;实验5&mdash;数组分离</a>
					<div>
						一.问题及代码 /* * 文件名称:Ex1-1.cpp * 作 者:王永斌 * 完成日期:2016 年 5 月 7 日 * 版 本 号:v1.0 * 对任务及求解方法的描述部分: 将一组数字代入一个数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pPpwJ4.html" rel="bookmark" class="title">定位地图</a>
					<div>
						1.在iOSApp开发中,尤其是O2O类型的的App往往包含着定位或地图这两项功能,所以说定位和地图是iOS开发中一种常用的第三方(iOS自带高德地图). 2.定位:首先我们先来说说定位:废话不多说, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qRoe94.html" rel="bookmark" class="title">美国租房完全攻略</a>
					<div>
						侨胞来到这人生地不熟的异国,每一步都浮现着困难.要想安定下来,一开始对绝大多数人来说都要租房子住.租房或租公寓是个大事,这也许会是一次让人既兴奋,又沮丧的经历.租房前请参考阅读下列指南,祝您找到自己满 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eExkp0.html" rel="bookmark" class="title">Linux系统中limits&period;conf解释及应用</a>
					<div>
						limits.conf的格式如下: username|@groupname type resource limitusername|@groupname:设置需要被限制的用户名,组名前面加@和用户名区 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoLVqQ0.html" rel="bookmark" class="title">Lecture--9 Sorting</a>
					<div>
						1/排序算法:冒泡排序bubble sort,插入排序 insertion sort,选择排序 selection sort,快速排序 quick sort,归并排序 merge sort;堆排序 h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPJ5nn3.html" rel="bookmark" class="title">android的数据与访问&lpar;1&rpar;-我的app配置参数文件放在哪儿？</a>
					<div>
						系统提供数据处理方式: 1.SharedPreferences 2.文件存储 3.轻量级的数据.如SQLLite 1.简单存储 是android提供的起来年纪的数据存储方式:SharedPerence ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pkwQy3.html" rel="bookmark" class="title">yun 安装mysql</a>
					<div>
						1.安装客户端和服务器端 确认mysql是否已安装: yum list installed mysql* rpm -qa | grep mysql* 查看是否有安装包: yum list mysql* ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pgGqx3.html" rel="bookmark" class="title">Redis 实现高效不遗漏的事件封装</a>
					<div>
						虽然Redis有订阅功能,但是订阅功能是实时的,过了这个点,就接收不到消息了. 同时,如果订阅的客户端因为某些特殊原因shutdown了,那也就找不回未处理完整的订阅事件了. 但好在,Redis还有一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xA7mN3.html" rel="bookmark" class="title">使用SqlLocalDB命令行管理LocalDB</a>
					<div>
						SqlLocalDB.exe start v11.0 SqlLocalDB.exe info v11.0 SQL Server Management Stdio添加管道连接实例 默认实例名(local ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0ja75oM.html" rel="bookmark" class="title">iOS启动图和开屏广告图，类似网易</a>
					<div>
						iOS启动图和开屏广告图,类似网易 启动图是在iOS开发过程中必不可少的一个部分,很多app在启动图之后会有一张自定义的开屏广告图,点击该广告图可以跳转到广告图对应的页面.今天呢,和大家分享一下如何添 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgmQeL3.html" rel="bookmark" class="title">Leetcode 7&period; Reverse Integer（python）</a>
					<div>
						该题比较简单,但是这道题有点问题.... python中的整数运算没有没有限制,但是在该oj系统中要求对大数输出0(题目并没有说明,但是在test case中可以看出) 于是偷了个懒,,, class ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4J2wyl4.html" rel="bookmark" class="title">OpenJDK 源代码阅读之 HashMap</a>
					<div>
						概要 类继承关系 java.lang.Object java.util.AbstractMap&lt;K,V&gt; java.util.TreeMap&lt;K,V&gt; 定义 public cl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPOEN64.html" rel="bookmark" class="title">&lbrack;转载&rsqb;linux下svn常用指令</a>
					<div>
						windows下的TortoiseSVN是资源管理器的一个插件,以覆盖图标表示文件状态,几乎所以命令都有图形界面支持,比较好用,这里就不多说.主要说说linux下svn的使用,因为linux下大部分的 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
